
import 'package:ui_sdk/StandardPage.dart';
import 'package:ui_sdk/NavigatorService.dart';
import 'package:ui_sdk/props/ApiResponse.dart';
import 'package:ui_sdk/props/StandardScreenResponse.dart';
import 'package:flutter/material.dart';
import 'package:http/http.dart' as http;
import 'package:ui_sdk/props/UikAction.dart';
import 'dart:convert';

import 'package:ui_sdk/utils/pubsub/localpubsub.dart';


void main() async {

  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  static final GlobalKey<NavigatorState> navigatorKey =
      GlobalKey<NavigatorState>();
  const MyApp({Key? key}) : super(key: key);

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Text("UIK SDK"),
      navigatorKey: NavigationService.navigatorKey,
    );
  }
}
