import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_productCardGrid_props.g.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_productcard_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikProductCardGridProps extends WidgetProps {
  late String id;
  late List<dynamic> productCards = [];
  late double gridWidth = 375;
  late double? gridHeight = null;
  late int crossAxisCount = 2;
  late double childAspectRatio = 0.8;
  late double leftPadding = 0.0;
  late double topMargin = 0.0;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double rightPadding = 0.0;
  late UikAction action;

  UikProductCardGridProps();

  factory UikProductCardGridProps.fromJson(Map<String, dynamic> json) =>
      $UikProductCardGridPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikProductCardGridPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
