//import 'package:ui_sdk/components/UikProductCardBig.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

import '../props/UikProductCardGridProps.dart';

class UikProductCardGrid extends UikWidget {
  WidgetType _widgetType;
  UikProductCardGridProps _uikProductCardGridProps;
  UikProductCardGrid(this._widgetType, this._uikProductCardGridProps)
      : super(_widgetType, _uikProductCardGridProps);

  @override
  _UikProductCardGridState createState() =>
      _UikProductCardGridState(_uikProductCardGridProps);
}

class _UikProductCardGridState extends State<UikProductCardGrid> {
  UikProductCardGridProps _uikProductCardGridProps;
  _UikProductCardGridState(this._uikProductCardGridProps);
  // int index = 0;

  @override
  Widget build(BuildContext context) {
    return Container(
      //  decoration: BoxDecoration(border: Border.all()),
      height: _uikProductCardGridProps.gridHeight ?? null,
      margin: EdgeInsets.only(
        top: _uikProductCardGridProps.topMargin,
        left: _uikProductCardGridProps.leftMargin,
        right: _uikProductCardGridProps.rightMargin,
      ),
      child: GridView.builder(
        physics: const ScrollPhysics(),
        shrinkWrap: true,
        itemCount: _uikProductCardGridProps.productCards.length,
        gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
          crossAxisCount: _uikProductCardGridProps.crossAxisCount,
          childAspectRatio: _uikProductCardGridProps.childAspectRatio,
          crossAxisSpacing: 12.0,
          // mainAxisSpacing: 12.0,
        ),
        itemBuilder: (BuildContext context, int index) {
          return Container(
            //  decoration: BoxDecoration(border: Border.all(color: Colors.pink)),
            child: _uikProductCardGridProps.productCards[index],
          );
        },
      ),
    );
  }
}
